Bug 113317 - netcat 1.1 too old, 1.64 available
netcat 1.1 too old, 1.64 available
Product: Fedora
Classification: Fedora
Component: nc (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Radek Vokal
Ben Levenson
: FutureFeature
: 110577 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-01-12 10:40 EST by Alec Voropay
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-11 07:15:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alec Voropay 2004-01-12 10:40:48 EST
Description of problem:
the netcat 1.1 is too old, netcat 1.62 is available

It has more features (AF_UNIX sockets for examle e.t.c.)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Matthias Saou 2004-07-22 14:35:40 EDT
Eventually, there is also this project, the GNU netcat :

With this reassuring phrase :
"Goals of this project are full compatibility with the original nc
1.10 that is widely used, and portability."

Seems like a good candidate for a replacement. One could name it
"netcat" and have it obsolete "nc <= 1.10" as well as provide "nc =
1.10" for compatibility.

I could submit a spec file for inclusion if it seems like it might be
worth it.
Comment 2 Radek Vokal 2005-03-31 08:12:33 EST
I've packaged new netcat from OpenBSD. Anyway it seems to behave in a really
strange way comparing to the current rather old netcat 1.10. I also had to limit
the functionality of netcat while some new socket features are still not present
in current linux libraries. Before pushing it into devel tree I would appretiate
to have some feedback here if this new version whic is avaliable at on my
personal webpage ( http://people.redhat.com/rvokal/nc/ ) works as it should.
I've tested few options from my old testcase and only some of them were working ... 
Comment 3 Radek Vokal 2005-03-31 08:14:50 EST
*** Bug 110577 has been marked as a duplicate of this bug. ***
Comment 5 Radek Vokal 2005-03-31 08:22:51 EST
(In reply to comment #1)
> Eventually, there is also this project, the GNU netcat :
> http://netcat.sourceforge.net/

This is great candidate for fedora-extras. I've checked this package and it
still lacks some options and functions present in current nc. Seems that
author's goals still weren't accomplished. 
Comment 6 Alec Voropay 2005-03-31 08:53:40 EST
I personally prefer to use a OpenBSD's `nc` utility.

I used OpenBSD nc-1.64 to test a LMTP protocol over local unix 
socket: /var/run/lmptp (AF_UNIX named pipe). AFAIK, nor original `nc` nor 
`netcat` has no such feature.

Growing from *BSD's root, this version requires some BSD-specific functions 
(security-related), but it's relatively easy to port it to Linux. Just replace 
function calls with generic, non-security equivalents.
Comment 7 Radek Vokal 2005-03-31 14:57:11 EST
I would really apritiate if someone more familiar with netcat then me can test
the prposed version from my personal page. Fe. the listening script I was using
from nc-1.10 is somehow broken with the new nc options ... 
Comment 8 Radek Vokal 2005-04-11 07:15:00 EDT
Ok, I've pushed the new OpenBSD netcat into rawhide. 

Note You need to log in before you can comment on or make changes to this bug.